Subject: Re: [PATCH v5 09/12] doc: revisions - define `reachable`

From: Jakub Narębski <[email-masked]>
Date: Sun, 28 Aug 2016 15:01:46 +0200

W dniu 12.08.2016 o 09:07, Philip Oakley pisze:
[...]

>  History traversing commands such as `git log` operate on a set
> -of commits, not just a single commit.  To these commands,
> -specifying a single revision with the notation described in the
> -previous section means the set of commits reachable from that
> -commit, following the commit ancestry chain.
> +of commits, not just a single commit.
> +
> +For these commands,
> +specifying a single revision, using the notation described in the
> +previous section, means the set of commits `reachable` from the given
> +commit.

Why such strange formatting?  Is it to keep original contents
for better blame / word diff?

> +
> +A commit's reachable set is the commit itself and the commits in
> +its ancestry chain.
> +

It is all right, but perhaps it would be better to just repeat:

  +Set of commits reachable from given commit is the commit itself
  +and all the commits in its ancestry chain.

-- 
Jakub Narębski